SFEED_JSON(1)

NAME
sfeed_json - format feed data to JSON Feed

SYNOPSIS
sfeed_json [file ...]

DESCRIPTION
sfeed_json formats feed data (TSV) from sfeed(1) from stdin or for each file to stdout as JSON Feed data. If one or more file arguments are specified then the basename of the file is used as the feed name in the output. If no file arguments are specified and so the data is read from stdin then the feed name is empty.

If sfeed_json is reading from one or more file arguments it will prefix the entry title with "[feed name] ".

EXIT STATUS

EXAMPLES

    curl -s 'https://codemadness.org/atom.xml' | sfeed | sfeed_json

SEE ALSO
sfeed(1), sfeed_atom(1), sfeed(5)

STANDARDS
JSON Feed Version 1.1, https://www.jsonfeed.org/version/1.1/, Nov, 2022.

AUTHORS
Hiltjo Posthuma <hiltjo@codemadness.org>